<?
	// czy miasto należy do kogoś?
	if($dane_pola['id_gracza']==0){ // nikt nie jest właścicielem tego pola

		if($go2=="kup-miasto" and $_POST['akcja']=="kupuje"){ // jeśli jest okienko i akcja "kupuje"

			// odejmujemy od gotówki odpowiednią wartość
			$dane_gracza['gotowka'] = $dane_gracza['gotowka'] - $koszt_zakupu_miasta[$dane_gracza['pozycja']];
			$dane_gracza['majatek'] = $dane_gracza['majatek'] + $koszt_zakupu_miasta[$dane_gracza['pozycja']];
			$update = mysql_query("UPDATE gracze SET gotowka='".$dane_gracza['gotowka']."', majatek='".$dane_gracza['majatek']."' WHERE id='".$_SESSION['id_gracza']."' LIMIT 1;");
			// zapisuję gracza jako właściciela
			$update = mysql_query("UPDATE pola SET id_gracza='".$_SESSION['id_gracza']."', czas_gracza='-1' WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' and id_pola='".$dane_gracza['pozycja']."' LIMIT 1;");

			$czy_dalej = true;

		}elseif($go2=="kup-miasto" and $_POST['akcja']=="nie_kupuje"){  // jeśli jest okienko i akcja "nie kupuję"
			$czy_dalej = true;
		}elseif($go2=="kup-miasto"){ // jeśli jest okienko

		}else{ // jeśli nie ma okienka to przekierowanie
			header('Location: gra,kup-miasto.html#'.$dane_gracza['pozycja']);
		}

	}elseif($dane_pola['id_gracza']==$_SESSION['id_gracza']){ // czy do mnie? gra,jestes-wlascicielem.html

		if($go2=="jestes-wlascicielem" and $_POST['akcja']=="kupuje"){ // jeśli jest okienko i akcja "kupuje"

			$czy_dalej = true;

		}elseif($go2=="jestes-wlascicielem" and $_POST['akcja']=="nie_kupuje"){  // jeśli jest okienko i akcja "nie kupuję"
			$czy_dalej = true;
		}elseif($go2=="jestes-wlascicielem"){ // jeśli jest okienko




		}else{ // jeśli nie ma okienka to przekierowanie
			header('Location: gra,jestes-wlascicielem.html#'.$dane_gracza['pozycja']);
		}



	}else{ // tak, do innego gracza, gra,placisz.html

		// do innego, ale czy może ma zastawione to miasto? wtedy nic nie płacę.
		if($dane_pola['zastawione']==0){
			// funkcja do obliczania?
			function koszt_postoju(){
				global $koszt_postoju_za_miasto,$dane_gracza,$dane_pola,$miasto_w_wojewodztwie,$koszt_postoju_za_dzialalnosc,$koszt_postoju_za_miasto;

				// za miasto
				$placisz = $koszt_postoju_za_miasto[$dane_gracza['pozycja']];

				// * 2 jeśli mam całe województwo
				$czy_nalezy = mysql_result(mysql_query("SELECT COUNT(*) FROM pola WHERE (id_pola='".($dane_gracza['pozycja']-1)."' OR id_pola='".($dane_gracza['pozycja']+1)."') AND id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$dane_pola['id_gracza']."' AND zastawione='0' AND czas_gracza='-1' LIMIT 1;"),0);
				if($czy_nalezy)$placisz = $placisz*2;

				// koszty postoju za dzialalnosc sa uzaleznione od tego w jakim wojewodztwie jest miasto
				if($miasto_w_wojewodztwie[$dane_gracza['pozycja']]>=1 and $miasto_w_wojewodztwie[$dane_gracza['pozycja']]<=5) $ktore_wojewodztwo = 0;
				if($miasto_w_wojewodztwie[$dane_gracza['pozycja']]>=6 and $miasto_w_wojewodztwie[$dane_gracza['pozycja']]<=10) $ktore_wojewodztwo = 1;
				if($miasto_w_wojewodztwie[$dane_gracza['pozycja']]>=11 and $miasto_w_wojewodztwie[$dane_gracza['pozycja']]<=16) $ktore_wojewodztwo = 2;

				// + (
				// + za dzialalnosci_1
				if($dane_pola['dzialalnosc_1']){
					$placisz_za_dzialalnosc_1 = $koszt_postoju_za_dzialalnosc[$dane_pola['dzialalnosc_1']][$ktore_wojewodztwo];
					// * 2 za szkolenie lub wyposazenie
					if(($dane_pola['szkolenie_1']=="1" and $dane_pola['towar_wyposazenie_1']=="0") or ($dane_pola['szkolenie_1']=="0" and $dane_pola['towar_wyposazenie_1']=="1")){
						$placisz_za_dzialalnosc_1 = $placisz_za_dzialalnosc_1*2;
					}
					// * 3 za szkolenie i wyposazenie
					if($dane_pola['szkolenie_1'] and $dane_pola['towar_wyposazenie_1']){
						$placisz_za_dzialalnosc_1 = $placisz_za_dzialalnosc_1*3;
					}
					$placisz = $placisz + $placisz_za_dzialalnosc_1;
				}
				// )
				// + ( dzialalnosc_2 ... ) + (dzialalnosc_3 ... )
				if($dane_pola['dzialalnosc_2']){
					$placisz_za_dzialalnosc_2 = $koszt_postoju_za_dzialalnosc[$dane_pola['dzialalnosc_2']][$ktore_wojewodztwo];
					// * 2 za szkolenie lub wyposazenie
					if(($dane_pola['szkolenie_2']=="1" and $dane_pola['towar_wyposazenie_2']=="0") or ($dane_pola['szkolenie_2']=="0" and $dane_pola['towar_wyposazenie_2']=="1")){
						$placisz_za_dzialalnosc_2 = $placisz_za_dzialalnosc_2*2;
					}
					// * 3 za szkolenie i wyposazenie
					if($dane_pola['szkolenie_2'] and $dane_pola['towar_wyposazenie_2']){
						$placisz_za_dzialalnosc_2 = $placisz_za_dzialalnosc_2*3;
					}
					$placisz = $placisz + $placisz_za_dzialalnosc_2;
				}
				if($dane_pola['dzialalnosc_3']){
					$placisz_za_dzialalnosc_3 = $koszt_postoju_za_dzialalnosc[$dane_pola['dzialalnosc_3']][$ktore_wojewodztwo];
					// * 2 za szkolenie lub wyposazenie
					if(($dane_pola['szkolenie_3']=="1" and $dane_pola['towar_wyposazenie_3']=="0") or ($dane_pola['szkolenie_3']=="0" and $dane_pola['towar_wyposazenie_3']=="1")){
						$placisz_za_dzialalnosc_3 = $placisz_za_dzialalnosc_3*2;
					}
					// * 3 za szkolenie i wyposazenie
					if($dane_pola['szkolenie_3'] and $dane_pola['towar_wyposazenie_3']){
						$placisz_za_dzialalnosc_3 = $placisz_za_dzialalnosc_3*3;
					}
					$placisz = $placisz + $placisz_za_dzialalnosc_3;
				}
				return $placisz;
			}

			if($go2=="placisz" and $_POST['akcja']=="ok"){

				$placisz = koszt_postoju();
				$dane_gracza['gotowka'] = $dane_gracza['gotowka'] - $placisz;

				$update = mysql_query("UPDATE gracze SET gotowka='".$dane_gracza['gotowka']."' WHERE id='".$_SESSION['id_gracza']."' LIMIT 1;");
				$czy_dalej = true;

			}elseif($go2=="placisz"){ // jeśli jest okienko

				// nazwa właściciela i pionek
				$dane_wlasciciela = mysql_fetch_array(mysql_query("SELECT nazwa,pionek FROM gracze WHERE id='".$dane_pola['id_gracza']."' LIMIT 1;"));
				$tpl->assign('nazwa_wlasciciela',$dane_wlasciciela['nazwa']);
				$tpl->assign('pionek_wlasciciela',$dane_wlasciciela['pionek']);

				// obliczamy ile
				$placisz = koszt_postoju();
				$tpl->assign('placisz',$placisz);

			}else{ // jeśli nie ma okienka to przekierowanie
				header('Location: gra,placisz.html#'.$dane_gracza['pozycja']);
			}
		}else{
			$czy_dalej = true;
		}

	}

?>